<div class="ui grid">
  <div class="four wide column">
    <div class="ui card">
      <div class="ui dimmer" [ngClass]="{ active: showChangeFields }">
        <div class="ui text loader">Loading</div>
      </div>
      <div class="image">
        <img [src]="user.imgUrl" alt="User's profile picture" />
      </div>
      <div class="content">
        <a class="header">{{ user.name }}</a>
        <div class="description">
          {{ user.email }}
        </div>
      </div>
    </div>
  </div>
  <div class="twelve wide column">
    <button class="ui button" (click)="enableChangeFields()">Change profile info</button>
    <div [ngStyle]="{ display: showChangeFields ? 'block' : 'none' }">
      <form class="ui form">
        <!-- <div [class]="inputFieldClass"> -->
        <div>
          <label>Name</label>
          <input type="text" name="name" [value]="user.name" #nameInput />
        </div>
        <!-- <div [class]="inputFieldClass"> -->
        <div>
          <label>Email</label>
          <input type="text" name="email" [value]="user.email" #emailInput />
        </div>
        <button class="ui button" type="button" (click)="disableChangeFields(nameInput.value, emailInput.value)">
          Finish
        </button>
      </form>
    </div>
  </div>
</div>
